<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="author" content="Gruppe Pitahaya">
	<meta name="description" content="Gruppenarbeit TOSE - Projektportfolio">
	<meta name="keywords" content="TOSE,Pitahaya,Gruppenarbeit,Projektportfolio">
	<link href="/css/pitahaya.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/css/pitahaya-form.css" rel="stylesheet" type="text/css" media="all" />
	<title>Test</title>
</head>

<body>
<div id="page" class="container">
	<div id="header">
		<div id="logo">
			<a href="/index"><img src="/images/pitahaya.jpg" alt="Pitahaya Bild" height="80" width="80"></a>
			<h5>Pitahaya PPM</h5>
			<br>
			<span th:text="${session_user}"></span>
         	<a href="/logout"><img src="/images/shutdown-button.png" width="16" height="16" align="middle"></a>
		</div>
		<div id="menu">
			<ul>
				<li><a href="/index">Startseite</a>
				<li><a href="/profil">Mein Profil</a>
				<li class="current_page_item"><a href="/projekte">Projekt&uuml;bersicht</a></li>
				<li><a href="/sites/kontakt.html">Kontakt</a>
				</li>
			</ul>
		</div>
	</div>
	<div id="main">
		<div id="welcome">
			<div class="title">
				<h2>Projektrisiko erfassen</h2>
				<hr>
				<span class="byline">Bitte füllen Sie alle Felder aus.</span>
            </div>
	<!-- Ausgabe Fehlermeldung wenn ein Feld nicht ausgefüllt wurde --> 		
            <div class="errormsg">
        		<span th:text="${error}"></span>
        	</div> 
	<!-- Eingabemaske zum Erfassen eines Projektrisiko --> 		
			<form action="#" th:action="${postAction}" method="post" th:object="${projectrisikoDetail}">
				<input type="hidden" name="projectrisikoDetail.id" th:value="*{id}" /> 
				<input type="hidden" name="projectrisikoDetail.projektname" th:value="${projektname}" />
				<div class="col-3 field">
					<input id="Risikoname" type="text" name="projectrisikoDetail.risikoname" placeholder="" th:value="*{risikoname}" required />
					<label for="Risikoname">Risikoname</label>
				</div>
				<div class="col-3 field">	
					<input id="Ursache" type="text" name="projectrisikoDetail.ursache" placeholder="" th:value="*{ursache}" required />
					<label for="Ursache">Ursache</label> 
				</div>
				<div class="col-3 field">	
					<input id="Gefaehrdungsart" type="text" name="projectrisikoDetail.gefaehrdungsart" placeholder="" th:value="*{gefaehrdungsart}" required />
					<label for="Gefaehrdungsart">Gefährdungsart</label> 
				</div>
				<div class="col-3 field">		
					<input id="Massnahme" type="text" name="projectrisikoDetail.massnahmen" placeholder="" th:value="*{massnahmen}" required />
					<label for="Massnahme">Massnahme</label> 
				</div>
				<div class="col-3 field">	
					<input id="Eintrittswahrscheinlichkeit" type="number" min="0" max="5" name="projectrisikoDetail.eintrittswahrscheinlichkeit" placeholder="" th:value="*{eintrittswahrscheinlichkeit}" required />
					<label for="Eintrittswahrscheinlichkeit">Eintrittswahrscheinlichkeit</label> 
				</div>
				<div class="col-3 field">		
					<input id="Schadensausmass" type="number" min="0" max="5" name="projectrisikoDetail.auswirkungen" placeholder="" th:value="*{auswirkungen}" required />
					<label for="Schadensausmass">Schadensausmass</label> 
				</div>
				<div class="col-3 field">
					<select name="projectrisikoDetail.verantwortlicher" style="width: 320px; height: 50px; font-size: 20px;" >
						<option value="" selected>Bitte Verantworlichen auswählen</option> 
						<option th:if="${projectrisikoDetail.verantwortlicher != null}"
							  th:each="user: ${userDetail}"
							  th:value="${user.id}"
							  th:utext="${user.username}"
							  th:selected="${projectrisikoDetail.verantwortlicher.username}==${user.username}" />
							<option th:if="${projectrisikoDetail.verantwortlicher == null}"
							  th:each="user: ${userDetail}"
							  th:value="${user.id}"
							  th:utext="${user.username}" />
					</select>			
				</div>
				<div class="col-3 field">		
					<input id="Priorität" type="text" name="projectrisikoDetail.prioritaet" placeholder="" th:value="*{prioritaet}" required />
					<label for="Priorität">Priorität</label> 
				</div>
				<div>	
					<input type="submit" class="button" align="center" value="Risiko erfassen">	
				</div>
			</form>
           <br>
		</div>
	</div>
</div>
</body>
<footer>
	<div id="copyright2">
		<span>&copy; Pitahaya </span>		
	</div>
</footer>
</html>